# tokio::signal::unix - Rust
API documentation for the Rust `unix` mod in crate `tokio`.
Keywords: rust, rustlang, rust-lang, unix

# Module tokio::signal::unix [−] [src]

Unix-specific types for signal handling.

This module is only defined on Unix platforms and contains the primary `Signal` type for receiving notifications of signals.

## Structs

Signal | A stream of events for receiving a particular type of OS signal.
SignalKind | Represents the specific kind of signal to listen for.

## Functions

signal | Creates a new stream which will receive notifications when the current process receives the specified signal `kind`.